/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.eartag.controller;

import com.huimv.common.utils.Result;
import com.huimv.eartag.entity.BaseEquipment;
import com.huimv.eartag.service.BaseEquipmentService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 栋舍表控制器
 *
 * @author yinhao
 * @date 2021-08-17 14:00:42
 */
@RestController
public class BaseEquipmentController {

    @Resource
    private BaseEquipmentService baseEquipmentService;


    @PostMapping("/add")
    public Result add(@RequestBody BaseEquipment baseEquipment){
        baseEquipmentService.save(baseEquipment);
        return new Result(10000,"添加成功",true);
    }

    @PostMapping("/update")
    public Result update(@RequestBody BaseEquipment baseEquipment){
        baseEquipmentService.updateById(baseEquipment);
        return new Result(10000,"修改成功",true);
    }


    @GetMapping("/remove")
    public Result remove(@RequestParam(name = "ids") List<Integer> ids){
        baseEquipmentService.removeByIds(ids);
        return new Result(10000,"删除成功",true);
    }


    @PostMapping("/page")
    public Result page(@RequestBody Map map){
        return baseEquipmentService.pageAll(map);

    }



}
