package com.huimv.eartag.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.common.utils.Result;
import com.huimv.eartag.entity.BaseFloor;
import com.huimv.eartag.service.IBaseFloorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author astupidcoder
 * @since 2022-01-07
 */
@RestController
@RequestMapping("/base-floor")
public class BaseFloorController {
    @Autowired
    private IBaseFloorService baseFloorService;

    @PostMapping("/add")
    public Result add(@RequestBody BaseFloor baseFloor){
        baseFloorService.save(baseFloor);
        return new Result(10000,"添加成功",true);
    }

    @PostMapping("/update")
    public Result update(@RequestBody BaseFloor baseFloor){
        baseFloorService.updateById(baseFloor);
        return new Result(10000,"修改成功",true);
    }


    @GetMapping("/remove")
    public Result remove(@RequestParam(name = "ids") List<Integer> ids){
        baseFloorService.removeByIds(ids);
        return new Result(10000,"删除成功",true);
    }


    @PostMapping("/page")
    public Result page(@RequestBody Map map){
        return baseFloorService.pageAll(map);

    }

    @GetMapping("/list")
    public Result page(@RequestParam(name = "farmId") Integer farmId){
        List<BaseFloor> farmList = baseFloorService.list(new QueryWrapper<BaseFloor>().eq("farm_id", farmId));
        return new Result("")

    }
}
